package cz.senslog.connector.fetch.azure;

import cz.senslog.connector.model.config.PropertyConfig;

import java.util.*;

class AllowedStation {

    private final Set<String> stations;

    AllowedStation(PropertyConfig config) {
        stations = config.getAttributes();
    }

    public boolean isAllowed(String eui) {
        return stations.contains(eui);
    }
}
